%{!?_pkgdocdir: %global _pkgdocdir %{_docdir}/%{name}-%{version}}

Name:           glite-lb-utils
Version:        2.3.9
Release:        1%{?dist}
Summary:        gLite Logging and Bookkeeping auxiliary utilities

License:        ASL 2.0
Url:            http://glite.cern.ch
Source:         http://scientific.zcu.cz/emi/emi.lb.utils/%{name}-%{version}.tar.gz
# https://github.com/CESNET/glite-lb/commit/1a90b6d604d0fad741c6c917df3e9aef6f878b62#diff-5
Patch0:         rpath.patch
# https://github.com/CESNET/glite-lb/commit/67d879a7d47e315e258d5c3d2b481e765872962e
Patch1:         manpages.patch

BuildRequires:  cppunit-devel
BuildRequires:  glite-lb-types
BuildRequires:  glite-jobid-api-c-devel
BuildRequires:  glite-lb-client-devel
BuildRequires:  glite-lb-state-machine-devel
BuildRequires:  glite-lbjp-common-jp-interface-devel
BuildRequires:  glite-lbjp-common-maildir-devel
BuildRequires:  glite-lbjp-common-trio-devel
BuildRequires:  libtool
BuildRequires:  perl
BuildRequires:  perl(Getopt::Long)
BuildRequires:  perl(POSIX)
BuildRequires:  pkgconfig
Requires:       glite-lb-state-machine-plugins

%description
glite-lb-utils are gLite LB utilities used for dumping (glite-lb-dump) and
purging (glite-lb-purge) data from LB server, for loading (glite-lb-load) data
to server, for real time monitoring (glite-lb-mon) and post-mortem statistics
(glite-lb-statistics).


%prep
%setup -q
%patch0 -p2
%patch1 -p2


%build
perl ./configure --root=/ --prefix=%{_prefix} --libdir=%{_lib} --docdir=%{_pkgdocdir} --module lb.utils
CFLAGS="%{?optflags}" LDFLAGS="%{?__global_ldflags}" make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT


%files
%doc LICENSE project/ChangeLog doc/README.LB-monitoring doc/README.LB-statistics
%{_bindir}/glite-lb-bkpurge-offline
%{_bindir}/glite-lb-dump
%{_bindir}/glite-lb-dump_exporter
%{_bindir}/glite-lb-load
%{_bindir}/glite-lb-mon
%{_bindir}/glite-lb-purge
%{_bindir}/glite-lb-state_history
%{_bindir}/glite-lb-statistics
%{_mandir}/man1/glite-lb-mon.1*
%{_mandir}/man1/glite-lb-dump.1*
%{_mandir}/man1/glite-lb-load.1*
%{_mandir}/man1/glite-lb-purge.1*


%changelog
* Fri Jan 10 2014 František Dvořák <valtri@civ.zcu.cz> - 2.3.9-1
- Initial package
